## ytalk 3.0.2

=== Makefile ===
#### Imakefile for YTalk version 3.0 ####
#
#			   NOTICE
#
# Copyright (c) 1990,1992,1993 Britt Yenne.  All rights reserved.
# 
# This software is provided AS-IS.  The author gives no warranty,
# real or assumed, and takes no responsibility whatsoever for any 
# use or misuse of this software, or any damage created by its use
# or misuse.
# 
# This software may be freely copied and distributed provided that
# no part of this NOTICE is deleted or edited in any manner.
# 

###################################
## CONFIGURATION  (The Fun Part) ##
###################################
#
# If your machine does not support TERMIOS (example: any NeXT running
# NeXTStep up to and including version 3.1), then uncomment the following
# line.
 
#TDEFS = -DUSE_SGTTY

#
# If you are running an older Sun OS using YP (now known as NIS), you might
# need to uncomment the next line if ytalk asks you "Who are you?"

#SLIBS = -lsun

#
# If you are on a sun running solaris 2.* you might need to uncomment the 
# following line.

#SLIBS = -lnsl -lsocket

#
# If your machine has a 64-bit architecture or uses 64-bit 'long's, then you
# will need to uncomment the following line.

#BDEFS = -DY64BIT

#
# If you have (or want) a system-wide .ytalkrc file, uncomment the next
# line and set it to the correct pathname.  The backslashes must remain
# before each double-quote.

#RCDEF = -DSYSTEM_YTALKRC=\"/usr/local/etc/ytalkrc\"

#
# If you plan to install ytalk on your system, you may want to modify
# the following lines.  Y_BINDIR is where the binary will be placed.
# Y_MANDIR is where the manpage will be placed.

Y_BINDIR = /usr/local/bin
Y_MANDIR = /usr/local/man/man1

############################################################
## Past this point, you shouldn't need to modify anything ##
############################################################
LIB = -lcurses -ltermcap $(SLIBS) $(XLIB)
CFLAGS = -I/usr/local/include $(TDEFS) $(BDEFS) $(RCDEF)
LDFLAGS = $(LDOPTIONS)
OBJ = main.o term.o user.o fd.o comm.o menu.o socket.o rc.o exec.o cwin.o \
      xwin.o
PRG = ytalk

all:	$(PRG) ytalk.cat

$(PRG):	$(OBJ)
	$(CC) $(LDFLAGS) -o $(PRG) $(OBJ) $(LIB)
    
ytalk.cat:	ytalk.1
	nroff -man ytalk.1 > ytalk.cat

start:	Imakefile
	sed 's/^DEFINES.*X11/CFLAGS =/' < Imakefile > Makefile

shar:
	make start
	shar -i Manifest -o ytalk-3.0.shar -t "== Now read the README file =="

clean::
	-rm -f $(OBJ)

install:: $(PRG)
	/bin/cp ytalk $(Y_BINDIR)
	/bin/cp ytalk.1 $(Y_MANDIR)
	@echo "Ytalk installation complete."

$(OBJ):		header.h
main.o:		menu.h
term.o:		cwin.h xwin.h menu.h
fd.o:		menu.h
comm.o:		socket.h menu.h
menu.o:		menu.h
socket.o:	socket.h
cwin.o:		cwin.h
xwin.o:		xwin.h

## ytalk 3.0.3

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,17 @@
 ###################################
 ## CONFIGURATION  (The Fun Part) ##
 ###################################
+#
+# If you are on a System V machine (such as Solaris 2.x), uncomment
+# the following line:
+
+# VDEFS = -DSYSV
+
+# If you're on Solaris you NEED this one for ytalk shells; it might
+# work on other Sys V machines too
+
+# PDEFS = -DPTM
+
 #
 # If your machine does not support TERMIOS (example: any NeXT running
 # NeXTStep up to and including version 3.1), then uncomment the following
@@ -42,6 +53,13 @@
 #BDEFS = -DY64BIT
 
 #
+# If you want ytalk to be 8-bit clean, you need to define this.  Note that
+# this requires linking with an 8-bit clean (n)curses.  Under SunOS 4.x,
+# set CC to /usr/5bin/cc for this to work.
+
+EBCDEFS = -DEIGHT_BIT_CLEAN
+
+#
 # If you have (or want) a system-wide .ytalkrc file, uncomment the next
 # line and set it to the correct pathname.  The backslashes must remain
 # before each double-quote.
@@ -56,20 +74,27 @@
 Y_BINDIR = /usr/local/bin
 Y_MANDIR = /usr/local/man/man1
 
+# Uncomment if you have gcc - recommended
+
+CC = gcc
+
+
 ############################################################
 ## Past this point, you shouldn't need to modify anything ##
 ############################################################
 LIB = -lcurses -ltermcap $(SLIBS) $(XLIB)
-CFLAGS = -I/usr/local/include $(TDEFS) $(BDEFS) $(RCDEF)
+CFLAGS = -I/usr/local/include $(TDEFS) $(BDEFS) $(RCDEF) $(VDEFS) $(PDEFS) \
+			      $(EBCDEFS) -O
 LDFLAGS = $(LDOPTIONS)
 OBJ = main.o term.o user.o fd.o comm.o menu.o socket.o rc.o exec.o cwin.o \
       xwin.o
 PRG = ytalk
 
-all:	$(PRG) ytalk.cat
+all:	$(PRG)
 
 $(PRG):	$(OBJ)
 	$(CC) $(LDFLAGS) -o $(PRG) $(OBJ) $(LIB)
+	strip $(PRG)
     
 ytalk.cat:	ytalk.1
 	nroff -man ytalk.1 > ytalk.cat
@@ -82,7 +107,7 @@
 	shar -i Manifest -o ytalk-3.0.shar -t "== Now read the README file =="
 
 clean::
-	-rm -f $(OBJ)
+	-rm -f $(OBJ) $(PRG)
 
 install:: $(PRG)
 	/bin/cp ytalk $(Y_BINDIR)

## ytalk 3.3.0

=== debian/changelog ===
ytalk (3.3.0-9build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:51 +0000

ytalk (3.3.0-9build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:47:53 +0000

ytalk (3.3.0-9) unstable; urgency=medium

  * QA Upload

  * Convert debian/copyright to machine-readable DEP-5 format.

 -- Axel Beckert <abe@debian.org>  Fri, 15 May 2015 13:56:54 +0200

ytalk (3.3.0-8) unstable; urgency=medium

  * QA Upload

  [ Axel Beckert ]
  * Set Maintainer to Debian QA Group. (See #762556)
  * Merge in unreleased packaging by Matthew found in ytalk's collab-maint
    git repo and set the according changelog entries to UNRELEASED
  * Add Vcs-* headers
  * Update the package to point to the new upstream homepage at
    http://ytalk.ourproject.org/:
    + Add according Homepage header
    + Udate watch file accordingly. (Closes: #550768)
    + Update URL in debian/copyright accordingly.
  * Take selected hunks from Jari's overzealous #669700 patch (see below).
    (Closes: #669700)
  * Apply wrap-and-sort.
  * Revamp debian/rules
    + Use dh_auto_{configure,build,install,clean}
    + Use dh_autotools-dev_{update,restore}config; + b-d on autotools-dev
    + Whitespace cleanup
    + Drop with compat level 9 unnecessary manual stamp file removal
    + Drop now unnecessary dh_install{dirs,changelogs} parameter
    + Finally switch to a minimal dh v7 style debian/rules file
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed)
  * Add patch by Daniele Di Domizio to support long user names
    (Closes: #732630)
  * Add patch to fix spelling error found by lintian.
  * Add patch to fix man-page error found by lintian.

  [ Jari Aalto ]
  * Switch from dpatch to source format "3.0 (quilt)".
  * Add build-arch and build-indep targets. Fixes lintian warning
    debian-rules-missing-recommended-target.
  * Update debhelper compatibility to 9.
  * Add dependency on ${misc:Depends}. Fixes lintian warning
    debhelper-but-no-misc-depends.
  * Replace "dh_clean -k" by "dh_prep".

 -- Axel Beckert <abe@debian.org>  Fri, 01 May 2015 04:00:45 +0200

ytalk (3.3.0-7) UNRELEASED; urgency=low

  * Update user.dpatch and shell.dpatch to use getenv more safely.
    Suggested by Marc Glisse. (Closes: #482538)

 -- Matthew Johnson <mjj29@debian.org>  Fri, 30 May 2008 21:02:08 +0100

ytalk (3.3.0-6) UNRELEASED; urgency=low

  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Tue, 05 Feb 2008 09:28:05 +0000

ytalk (3.3.0-5) unstable; urgency=low

  * Patches from Marc Glisse <marc.glisse@loria.fr>
    - Honour SHELL and USER env vars (Closes: #455252)
    - Fix logging of your own conversation (Closes: #455254)

 -- Matthew Johnson <mjj29@debian.org>  Sun,  9 Dec 2007 15:41:23 +0000

ytalk (3.3.0-4) unstable; urgency=low

  * Adopt package (Closes: #418367).
  * Use dpatch for patches outside debian/.
  * Bumped standards version and compat version.

 -- Matthew Johnson <mjj29@debian.org>  Wed,  5 Dec 2007 13:41:27 +0000

ytalk (3.3.0-3) unstable; urgency=low

  * Orphaned the package, maintainer field set accordingly.
  * Created `debian/compat' instead of using DH_COMPAT in `debian/rules'.

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Apr 2007 11:05:27 +0200

ytalk (3.3.0-2) unstable; urgency=low

  * Updated FSF postal address in ``debian/copyright''
  * Removed bashism out of ``debian/prerm''
  * Bumped standards version

 -- Philipp Kern <pkern@debian.org>  Wed, 21 Dec 2005 16:50:20 +0100

ytalk (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Rewrote ``debian/copyright'' as ytalk is now licensed under the GNU GPL.

 -- Philipp Kern <pkern@debian.org>  Sun, 13 Feb 2005 16:39:26 +0000

ytalk (3.2.0-2) unstable; urgency=low

  * Removed ``X support'' from ytalk's description. (Closes: #292890)

 -- Philipp Kern <phil@philkern.de>  Mon, 31 Jan 2005 19:21:14 +0000

ytalk (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Droping X support. It got nearly unusable and this will prepare the
    users for the drop of the upstream support. (Closes: #190435)
  * Added a fix from upstream to enable connections to users having
    usernames longer than 8 characters. (Closes: #113644)
  * Removed the dependency on netstd (<= 3.07-3) because it is no longer
    available.
  * Added a debian/watch file pointing to the upstream homepage.

 -- Philipp Kern <phil@philkern.de>  Mon, 17 Jan 2005 20:13:13 +0100

ytalk (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Security fix:
    It turns out it was possible to write 44 bytes of arbitrary data to YTalk
    memory when running the auto-invite daemon (off by default), due to a
    nasty sprintf() call and a buffer overflow.

    I didn't really investigate how much nastiness you might be able to
    accomplish with these 44 bytes, but I did confirm that YTalk can be
    crashed by anyone who knows the auto-invite daemon's TCP port number.
    -- Andreas Kling <keso@klister.net>

 -- Philipp Kern <phil@philkern.de>  Thu, 30 Dec 2004 09:56:37 +0000

ytalk (3.1.5-1) unstable; urgency=low

  * New upstream release.
    - This release readds the lost "prompt before quit" patch submitted by
      Colin Watson. (Closes: #278970)
  * Changed debian/copyright as the maintainer changed with 3.1.3.
  * Removed debian/conffiles as it gets build automagically.

 -- Philipp Kern <phil@philkern.de>  Sat,  6 Nov 2004 19:36:36 +0100

ytalk (3.1.4-1) unstable; urgency=low

  * New upstream release.
    - Adds a re-ring keystroke. (Closes: #38409)

 -- Philipp Kern <phil@philkern.de>  Mon, 18 Oct 2004 19:01:07 +0200

ytalk (3.1.3-2) unstable; urgency=low

  * debian/rules: Install /etc/ytalkrc correctly. (Broke autobuilders.)

 -- Philipp Kern <phil@philkern.de>  Sat, 02 Oct 2004 15:34:55 +0200

ytalk (3.1.3-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: ytalk
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libncurses5-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/ytalk.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ytalk.git
Homepage: http://ytalk.ourproject.org/

Package: ytalk
Architecture: any
Depends: talkd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: enhanced talk program
 Ytalk is a multi-user chat program. It works exactly like the UNIX talk
 program and even communicates with the same talk daemons. The primary
 advantage of ytalk is its ability to maintain multiple connections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --without-x

=== debian/watch ===
version=3

http://ourproject.org/frs/?group_id=1868&release_id=357 .*/ytalk-(.*)\.tar\.gz
